Index: tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java	(revision 2402)
@@ -59,14 +59,15 @@
 	public static String ZIP_EXTENSION = ".odt"; // no more used, stay for old groovy script compatibility
 
 	/** The DEFAUL level of compression. */
-	private static int DEFAULT_LEVEL_COMPRESSION =
-			Deflater.BEST_COMPRESSION;
+	private static int DEFAULT_LEVEL_COMPRESSION = Deflater.BEST_COMPRESSION;
 
 	/**
 	 * Compress.
 	 *
-	 * @param file the file
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param file
+	 *            the file
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public static void compress(final File file) throws IOException {
 		compress(file, file, DEFAULT_LEVEL_COMPRESSION, null);
@@ -75,42 +76,47 @@
 	/**
 	 * Compress.
 	 *
-	 * @param file the file
-	 * @param target the target
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param file
+	 *            the file
+	 * @param target
+	 *            the target
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final File file, final File target)
-			throws IOException {
+	public static void compress(final File file, final File target) throws IOException {
 		compress(file, target, DEFAULT_LEVEL_COMPRESSION, null);
 	}
 
 	/**
 	 * Compress.
 	 *
-	 * @param file the file
-	 * @param targetZipFile the Zip file to create
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param file
+	 *            the file
+	 * @param targetZipFile
+	 *            the Zip file to create
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final File file, final File targetZipFile, IProgressMonitor monitor)
-			throws IOException {
+	public static void compress(final File file, final File targetZipFile, IProgressMonitor monitor) throws IOException {
 		compress(file, targetZipFile, DEFAULT_LEVEL_COMPRESSION, monitor);
 	}
 
-
 	// Compresse un fichier à l'adresse pointée par le fichier cible.
 	// Remplace le fichier cible s'il existe déjà.
 	/**
-	 * Compresse un fichier à l'adresse pointée par le fichier cible.
-	 * Remplace le fichier cible s'il existe déjà..
+	 * Compresse un fichier à l'adresse pointée par le fichier cible. Remplace le
+	 * fichier cible s'il existe déjà..
 	 *
-	 * @param file the file
-	 * @param targetZipFile the target
-	 * @param compressionLevel the compression level
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param file
+	 *            the file
+	 * @param targetZipFile
+	 *            the target
+	 * @param compressionLevel
+	 *            the compression level
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final File file, final File targetZipFile,
-			final int compressionLevel, IProgressMonitor monitor)
-					throws IOException {
+	public static void compress(final File file, final File targetZipFile, final int compressionLevel, IProgressMonitor monitor) throws IOException {
 		final File source = file.getCanonicalFile();
 
 		// Création du fichier zip
@@ -126,80 +132,87 @@
 	/**
 	 * Compress.
 	 *
-	 * @param file the file
-	 * @param compressionLevel the compression level
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param file
+	 *            the file
+	 * @param compressionLevel
+	 *            the compression level
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final File file, final int compressionLevel)
-			throws IOException {
+	public static void compress(final File file, final int compressionLevel) throws IOException {
 		compress(file, file, compressionLevel, null);
 	}
 
 	/**
 	 * Compress.
 	 *
-	 * @param fileName the file name
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param fileName
+	 *            the file name
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public static void compress(final String fileName) throws IOException {
-		compress(new File(fileName), new File(fileName),
-				DEFAULT_LEVEL_COMPRESSION, null);
+		compress(new File(fileName), new File(fileName), DEFAULT_LEVEL_COMPRESSION, null);
 	}
 
-
 	/**
 	 * Compress.
 	 *
-	 * @param fileName the file name
-	 * @param compressionLevel the compression level
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param fileName
+	 *            the file name
+	 * @param compressionLevel
+	 *            the compression level
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final String fileName,
-			final int compressionLevel) throws IOException {
+	public static void compress(final String fileName, final int compressionLevel) throws IOException {
 		compress(new File(fileName), new File(fileName), compressionLevel, null);
 	}
 
 	/**
 	 * Compress.
 	 *
-	 * @param fileName the file name
-	 * @param targetName the target name
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param fileName
+	 *            the file name
+	 * @param targetName
+	 *            the target name
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final String fileName, final String targetName)
-			throws IOException {
-		compress(new File(fileName), new File(targetName),
-				DEFAULT_LEVEL_COMPRESSION, null);
+	public static void compress(final String fileName, final String targetName) throws IOException {
+		compress(new File(fileName), new File(targetName), DEFAULT_LEVEL_COMPRESSION, null);
 	}
 
 	/**
 	 * Compress.
 	 *
-	 * @param fileName the file name
-	 * @param targetName the target name
-	 * @param compressionLevel the compression level
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param fileName
+	 *            the file name
+	 * @param targetName
+	 *            the target name
+	 * @param compressionLevel
+	 *            the compression level
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final String fileName, final String targetName,
-			final int compressionLevel) throws IOException {
+	public static void compress(final String fileName, final String targetName, final int compressionLevel) throws IOException {
 		compress(new File(fileName), new File(targetName), compressionLevel, null);
 	}
 
 	/**
 	 * Compress file or directory into an archive.
 	 *
-	 * @param out the out
-	 * @param parentFolder the parent folder
-	 * @param file the file
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param out
+	 *            the out
+	 * @param parentFolder
+	 *            the parent folder
+	 * @param file
+	 *            the file
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	private final static void compressFile(final ZipOutputStream out,
-			final String parentFolder, final File file, IProgressMonitor monitor)
-					throws IOException {
-		final String zipName = new StringBuilder(parentFolder)
-		.append(file.getName())
-		.append(file.isDirectory() ? '/' : "")
-		.toString();
+	private final static void compressFile(final ZipOutputStream out, final String parentFolder, final File file, IProgressMonitor monitor) throws IOException {
+		final String zipName = new StringBuilder(parentFolder).append(file.getName()).append(file.isDirectory() ? '/' : "").toString();
 
 		// Définition des attributs du fichier
 		final ZipEntry entry = new ZipEntry(zipName);
@@ -208,30 +221,36 @@
 		out.putNextEntry(entry);
 
 		// Traitement récursif s'il s'agit d'un répertoire
-		//System.out.println("COMPRESS "+file+" monitor="+monitor);
+		// System.out.println("COMPRESS "+file+" monitor="+monitor);
 		if (file.isDirectory()) {
 			File[] files = file.listFiles();
 			if (files != null) {
-				if (monitor != null) monitor.beginTask("Compressing "+file+" directory ("+files.length+" files).", files.length);
+				if (monitor != null)
+					monitor.beginTask("Compressing " + file + " directory (" + files.length + " files).", files.length);
 				for (final File f : files) {
 					compressFile(out, zipName.toString(), f, null);
-					if (monitor != null) monitor.worked(1);
+					if (monitor != null)
+						monitor.worked(1);
 				}
-				if (monitor != null) monitor.done();
+				if (monitor != null)
+					monitor.done();
 			}
 		} else {
 			// Ecriture du fichier dans le zip
 			final InputStream in = new BufferedInputStream(new FileInputStream(file));
 
 			try {
-				if (monitor != null) monitor.beginTask("Compressing "+file+" file ("+file.length()+" bytes).", (int)file.length());
+				if (monitor != null)
+					monitor.beginTask("Compressing " + file + " file (" + file.length() + " bytes).", (int) file.length());
 				final byte[] buf = new byte[8192];
 				int bytesRead;
 				while (-1 != (bytesRead = in.read(buf))) {
 					out.write(buf, 0, bytesRead);
-					if (monitor != null) monitor.worked(bytesRead);
+					if (monitor != null)
+						monitor.worked(bytesRead);
 				}
-				if (monitor != null) monitor.done();
+				if (monitor != null)
+					monitor.done();
 			} finally {
 				in.close();
 			}
@@ -241,23 +260,26 @@
 	/**
 	 * Decompress a ZIP file in the ZIP file parent directory
 	 *
-	 * @param zipfile the ZIP file
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipfile
+	 *            the ZIP file
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final File zipfile)
-			throws IOException {
+	public static void decompress(final File zipfile) throws IOException {
 		decompress(zipfile, zipfile.getCanonicalFile().getParentFile(), false, null);
 	}
 
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFile the file
-	 * @param deleteZipAfter the delete zip after
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFile
+	 *            the file
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final File zipFile, final boolean deleteZipAfter)
-			throws IOException {
+	public static void decompress(final File zipFile, final boolean deleteZipAfter) throws IOException {
 		decompress(zipFile, zipFile.getCanonicalFile().getParentFile(), deleteZipAfter, null);
 	}
 
@@ -265,13 +287,16 @@
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFile the file
-	 * @param folder the folder
-	 * @param deleteZipAfter the delete zip after
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFile
+	 *            the file
+	 * @param folder
+	 *            the folder
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final File zipFile, final File folder,
-			final boolean deleteZipAfter) throws IOException {
+	public static void decompress(final File zipFile, final File folder, final boolean deleteZipAfter) throws IOException {
 		decompress(zipFile, folder, deleteZipAfter, null);
 	}
 
@@ -279,43 +304,52 @@
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFile the file
-	 * @param folder the folder
-	 * @param deleteZipAfter the delete zip after
-	 * @param monitor change progress state
+	 * @param zipFile
+	 *            the file
+	 * @param folder
+	 *            the folder
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @param monitor
+	 *            change progress state
 	 * 
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final File zipFile, final File folder, final boolean deleteZipAfter, IProgressMonitor monitor)
-			throws IOException {
-		ZipInputStream zis = new ZipInputStream(new BufferedInputStream(
-				new FileInputStream(zipFile.getCanonicalFile())));
+	public static void decompress(final File zipFile, final File folder, final boolean deleteZipAfter, IProgressMonitor monitor) throws IOException {
+		ZipInputStream zis = new ZipInputStream(new BufferedInputStream(new FileInputStream(zipFile.getCanonicalFile())));
 		ZipEntry ze;
 		int nEntries = 0;
-		//System.out.println("count entries...");
+		// System.out.println("count entries...");
 		try {
 			while (null != (ze = zis.getNextEntry())) {
 				nEntries++;
 			}
-		} catch(Exception e) { e.printStackTrace(); } finally {
-			if (zis != null) zis.close();
+		} catch (Exception e) {
+			e.printStackTrace();
+		} finally {
+			if (zis != null)
+				zis.close();
 		}
-		//System.out.println("count entries result: "+nEntries);
+		// System.out.println("count entries result: "+nEntries);
 
-		zis = new ZipInputStream(new BufferedInputStream(
-				new FileInputStream(zipFile.getCanonicalFile())));
-		//System.out.println("zis: "+zis);
-		if (monitor != null) { monitor.beginTask("Unzipping "+zipFile, nEntries);}
+		zis = new ZipInputStream(new BufferedInputStream(new FileInputStream(zipFile.getCanonicalFile())));
+		// System.out.println("zis: "+zis);
+		if (monitor != null) {
+			monitor.beginTask("Unzipping " + zipFile, nEntries);
+		}
 
 		try {
 			// Parcours tous les fichiers
-			//System.out.println("start parsing zip file: "+file);
+			// System.out.println("start parsing zip file: "+file);
 			while (null != (ze = zis.getNextEntry())) {
-				if (monitor != null) monitor.worked(1);
+				if (monitor != null)
+					monitor.worked(1);
 
 				final File f = new File(folder.getCanonicalPath(), ze.getName());
-//				System.out.println(f);
-				if (f.exists()) f.delete();
+				// System.out.println(f);
+				if (f.exists())
+					f.delete();
 
 				// Création des dossiers
 				if (ze.isDirectory()) {
@@ -343,7 +377,7 @@
 			}
 		} finally {
 			zis.close();
-			//if (monitor != null) monitor.done();
+			// if (monitor != null) monitor.done();
 		}
 
 		if (deleteZipAfter)
@@ -353,103 +387,119 @@
 	/**
 	 * Decompress.
 	 *
-	 * @param fileName the file name
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param fileName
+	 *            the file name
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final String fileName)
-			throws IOException {
+	public static void decompress(final String fileName) throws IOException {
 		decompress(new File(fileName));
 	}
 
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFileName the file name
-	 * @param deleteZipAfter the delete zip after
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFileName
+	 *            the file name
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final String zipFileName,
-			final boolean deleteZipAfter)
-					throws IOException {
+	public static void decompress(final String zipFileName, final boolean deleteZipAfter) throws IOException {
 		decompress(new File(zipFileName), deleteZipAfter);
 	}
 
-
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFileName the file name
-	 * @param folderName the folder name
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFileName
+	 *            the file name
+	 * @param folderName
+	 *            the folder name
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final String zipFileName, final String folderName)
-			throws IOException {
+	public static void decompress(final String zipFileName, final String folderName) throws IOException {
 		decompress(new File(zipFileName), new File(folderName), false);
 	}
 
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFileName the file name
-	 * @param folderName the folder name
-	 * @param deleteZipAfter the delete zip after
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFileName
+	 *            the file name
+	 * @param folderName
+	 *            the folder name
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final String zipFileName, final String folderName,
-			final boolean deleteZipAfter)
-					throws IOException {
+	public static void decompress(final String zipFileName, final String folderName, final boolean deleteZipAfter) throws IOException {
 		decompress(new File(zipFileName), new File(folderName), deleteZipAfter, null);
 	}
 
 	/**
 	 * Decompress.
 	 *
-	 * @param zipFileName the file name
-	 * @param folderName the folder name
-	 * @param deleteZipAfter the delete zip after
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param zipFileName
+	 *            the file name
+	 * @param folderName
+	 *            the folder name
+	 * @param deleteZipAfter
+	 *            the delete zip after
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final String zipFileName, final String folderName,
-			final boolean deleteZipAfter, IProgressMonitor monitor)
-					throws IOException {
+	public static void decompress(final String zipFileName, final String folderName, final boolean deleteZipAfter, IProgressMonitor monitor) throws IOException {
 		decompress(new File(zipFileName), new File(folderName), deleteZipAfter, monitor);
 	}
 
 	/**
 	 * Extract one file from an archive given a relative path in the archive
 	 * 
-	 * @param zipFile the archive
-	 * @param path the relative path in the archive
-	 * @param outputFile the output file
+	 * @param zipFile
+	 *            the archive
+	 * @param path
+	 *            the relative path in the archive
+	 * @param outputFile
+	 *            the output file
 	 * @return true if success
 	 */
 	public static boolean extractOneFile(File zipFile, String path, File outputFile) {
 		return extractOneFile(zipFile, path, outputFile, false);
 	}
-	
+
 	/**
 	 * Extract one file from an archive given a relative path in the archive
 	 * 
-	 * @param zipFile the archive
-	 * @param path the relative path in the archive of the file to extract (file or directory)
-	 * @param outputFile the output file
-	 * @param replaceOnlyIfNewer if true the file is replaced only if the archive file is more recent
+	 * @param zipFile
+	 *            the archive
+	 * @param path
+	 *            the relative path in the archive of the file to extract (file or
+	 *            directory)
+	 * @param outputFile
+	 *            the output file
+	 * @param replaceOnlyIfNewer
+	 *            if true the file is replaced only if the archive file is more
+	 *            recent
 	 * @return true if success
 	 */
 	public static boolean extractOneFile(File zipFile, String path, File outputFile, boolean replaceOnlyIfNewer) {
-		
+
 		boolean copySubEntries = false; // internal variable to copy entries of a directory
 		boolean pathFound = false; // internal variable to know if path was found
-		
+
 		try {
-			long oldFileTime = outputFile.lastModified();			
+			long oldFileTime = outputFile.lastModified();
 
 			ZipInputStream zis = new ZipInputStream(new BufferedInputStream(new FileInputStream(zipFile.getCanonicalFile())));
 			ZipEntry ze;
-			
+
 			// Parcourt tous les fichiers
 			while (null != (ze = zis.getNextEntry())) {
-				//System.out.println("P="+ze.getName());
+				// System.out.println("P="+ze.getName());
 				String currentpath = ze.getName();
 				if (currentpath.equals(path)) { // this is the file to extract !
 					if (replaceOnlyIfNewer && ze.getTime() < oldFileTime) { // don't replace the file
@@ -466,7 +516,7 @@
 					}
 				} else if (currentpath.startsWith(path) && copySubEntries) {
 					String subpath = currentpath.substring(path.length());
-					
+
 					if (ze.isDirectory()) { // a sub directory of the pointed path
 						new File(outputFile, subpath).mkdirs();
 					} else { // a sub file of the pointed path (directory)
@@ -477,7 +527,7 @@
 				}
 			}
 			if (!pathFound) {
-				System.out.println("Error: "+path+" not found.");
+				System.out.println("Error: " + path + " not found.");
 			}
 
 			if (zis != null) {
@@ -488,15 +538,16 @@
 				}
 			}
 		} catch (Exception e) {
-			System.out.println("Fail to extract "+path+" from "+zipFile+": "+e);
+			System.out.println("Fail to extract " + path + " from " + zipFile + ": " + e);
 			Log.printStackTrace(e);
-		} 
+		}
 
 		return pathFound; // no suitable entry found
 	}
 
 	/**
 	 * Write the current Zis entry to a file
+	 * 
 	 * @param zis
 	 * @param outputFile
 	 * @throws IOException
@@ -520,20 +571,21 @@
 	}
 
 	/**
-	 * Try to get the root folder of the archive. If there is no root folder, the Zip filename is used
+	 * Try to get the root folder of the archive. If there is no root folder, the
+	 * Zip filename is used
 	 * 
 	 * @param zipFile
 	 * @return the root directory of the archive
 	 */
-	public static String getRoot(File zipFile)
-	{
+	public static String getRoot(File zipFile) {
 		String root = null;
 		for (String f : listFiles(zipFile)) {
 			root = f;
-			if (f.startsWith(".") && f.indexOf(".") > 0) continue;
+			if (f.startsWith(".") && f.indexOf(".") > 0)
+				continue;
 			break;
 		}
-		//System.out.println("BIN ROOT: "+root);
+		// System.out.println("BIN ROOT: "+root);
 		if (root == null) { // no sub-directory found, we use the zip filename
 			root = zipFile.getName();
 			if (root.indexOf(".") > 0) // remove the extension
@@ -541,7 +593,8 @@
 		}
 
 		int idx = root.indexOf("/");
-		if (idx > 0) root = root.substring(0, idx);
+		if (idx > 0)
+			root = root.substring(0, idx);
 		return root;
 	}
 
@@ -549,10 +602,9 @@
 	 * List the ZIP file content
 	 * 
 	 * @param zipFile
-	 * @return the list of files in the archive 
+	 * @return the list of files in the archive
 	 */
-	public static ArrayList<String> listFiles(File zipFile)
-	{
+	public static ArrayList<String> listFiles(File zipFile) {
 		ArrayList<String> list = new ArrayList<String>();
 		Enumeration<?> zipEntries;
 		ZipFile zip = null;
@@ -560,11 +612,11 @@
 			zip = new ZipFile(zipFile);
 			zipEntries = zip.entries();
 			while (zipEntries.hasMoreElements()) {
-				list.add(((ZipEntry)zipEntries.nextElement()).getName());
+				list.add(((ZipEntry) zipEntries.nextElement()).getName());
 			}
 			Collections.sort(list);
 		} catch (Exception e) {
-			System.out.println("Fail to list files of "+zipFile+": "+e);
+			System.out.println("Fail to list files of " + zipFile + ": " + e);
 			Log.printStackTrace(e);
 			return new ArrayList<String>();
 		} finally {
@@ -580,46 +632,46 @@
 		return list;
 	}
 
-
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param args
+	 *            the arguments
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public static void main(String[] args)
-			throws IOException {
-		//		File zipFile = new File("/home/mdecorde/Téléchargements/bvhepistemon-bin.zip");
-		//		ArrayList<String> list = Zip.listFiles(zipFile);
-		//		System.out.println(list);
-		//		System.out.println("outdir: "+list.get(0));
-		//		System.out.println("outdir fixed: "+Zip.getRoot(zipFile));
+	public static void main(String[] args) throws IOException {
+		// File zipFile = new
+		// File("/home/mdecorde/Téléchargements/bvhepistemon-bin.zip");
+		// ArrayList<String> list = Zip.listFiles(zipFile);
+		// System.out.println(list);
+		// System.out.println("outdir: "+list.get(0));
+		// System.out.println("outdir fixed: "+Zip.getRoot(zipFile));
 		File dir = new File("/home/mdecorde/workspace079/org.txm.setups/exportRCP/linux.gtk.x86_64/TXM/plugins");
 		File jarFile = new File(dir, "org.txm.statsengine.r.core_1.0.0.201805091353.jar");
 		File outDir = new File("/home/mdecorde/TEMP");
-		//System.out.println(StringUtils.join(Zip.listFiles(jarFile), "\n"));
-		System.out.println("Zip result: "+Zip.extractOneFile(jarFile, "R/", outDir));
-		
+		// System.out.println(StringUtils.join(Zip.listFiles(jarFile), "\n"));
+		System.out.println("Zip result: " + Zip.extractOneFile(jarFile, "R/", outDir));
+
 	}
 
 	public static boolean hasEntries(File zipFile, String... paths) {
 		HashSet<String> toFind = new HashSet(Arrays.asList(paths));
 		try {
 
-			ZipInputStream zis = new ZipInputStream(new BufferedInputStream(
-					new FileInputStream(zipFile.getCanonicalFile())));
+			ZipInputStream zis = new ZipInputStream(new BufferedInputStream(new FileInputStream(zipFile.getCanonicalFile())));
 			ZipEntry ze;
-			
+
 			// Parcours tous les fichiers
 			while (null != (ze = zis.getNextEntry())) {
 				String currentpath = ze.getName();
-//				String filename = currentpath;
-//				if (filename.endsWith("/")) {
-//					filename = filename.substring(0, filename.length()-1);
-//				}
-//				if (filename.lastIndexOf("/") > 0) {
-//					filename = filename.substring(filename.lastIndexOf("/")+1);
-//				}
+				// String filename = currentpath;
+				// if (filename.endsWith("/")) {
+				// filename = filename.substring(0, filename.length()-1);
+				// }
+				// if (filename.lastIndexOf("/") > 0) {
+				// filename = filename.substring(filename.lastIndexOf("/")+1);
+				// }
 				if (toFind.contains(currentpath)) {
 					toFind.remove(currentpath);
 					if (toFind.size() == 0) {
@@ -632,7 +684,7 @@
 					}
 				}
 			}
-			
+
 			if (zis != null) {
 				try {
 					zis.close();
@@ -641,11 +693,10 @@
 				}
 			}
 		} catch (Exception e) {
-			System.out.println("Fail to search for "+paths+" from "+zipFile+": "+e);
+			System.out.println("Fail to search for " + paths + " from " + zipFile + ": " + e);
 			Log.printStackTrace(e);
 		}
 
 		return toFind.size() == 0;
 	}
 }
-
Index: tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java	(revision 2402)
@@ -9,13 +9,12 @@
 import org.txm.utils.io.IOUtils;
 
 public class CharsetDetector {
-	public static int MINIMALSIZE=2000;
+	public static int MINIMALSIZE = 2000;
 	String encoding = System.getProperty("file.encoding"); //$NON-NLS-1$
 	LinkedHashMap<String, Integer> encodings = new LinkedHashMap<String, Integer>();
-	
-	public CharsetDetector(File file)
-	{
-		if(file.isDirectory())
+
+	public CharsetDetector(File file) {
+		if (file.isDirectory())
 			processDirectory(file);
 		else
 			try {
@@ -25,9 +24,8 @@
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 	}
-	
-	private void processDirectory(File dir)
-	{
+
+	private void processDirectory(File dir) {
 		for (File file : dir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (file.isFile()) {
 				try {
@@ -39,55 +37,48 @@
 			}
 		}
 	}
-	
+
 	String guessedCharset = System.getProperty("file.encoding"); //$NON-NLS-1$
-	private void processFile(File file) throws IOException
-	{
+
+	private void processFile(File file) throws IOException {
 		guessedCharset = System.getProperty("file.encoding"); //$NON-NLS-1$
-		UniversalDetector detector = new UniversalDetector(
-                new CharsetListener() {
-                    @Override
-					public void report(String name)
-                    {
-                        guessedCharset = name;
-                    }
-                }
-                );
-        
-        byte[] buf = new byte[4096];
-        java.io.FileInputStream fis = new java.io.FileInputStream(file);
-        
-        int nread;
-        while ((nread = fis.read(buf)) > 0 && !detector.isDone()) {
-            detector.handleData(buf, 0, nread);
-        }
-        detector.dataEnd();
+		UniversalDetector detector = new UniversalDetector(new CharsetListener() {
+			@Override
+			public void report(String name) {
+				guessedCharset = name;
+			}
+		});
 
-		if(!encodings.containsKey(guessedCharset))
+		byte[] buf = new byte[4096];
+		java.io.FileInputStream fis = new java.io.FileInputStream(file);
+
+		int nread;
+		while ((nread = fis.read(buf)) > 0 && !detector.isDone()) {
+			detector.handleData(buf, 0, nread);
+		}
+		detector.dataEnd();
+
+		if (!encodings.containsKey(guessedCharset))
 			encodings.put(guessedCharset, 0);
-		encodings.put(guessedCharset, encodings.get(guessedCharset)+1);
+		encodings.put(guessedCharset, encodings.get(guessedCharset) + 1);
 		fis.close();
 	}
-	
-	public String getEncoding()
-	{
+
+	public String getEncoding() {
 		int max = 0;
-		for(String s : encodings.keySet())
-		{
-			if(max < encodings.get(s))
-			{
+		for (String s : encodings.keySet()) {
+			if (max < encodings.get(s)) {
 				max = encodings.get(s);
 				encoding = s;
 			}
 		}
 		return encoding;
 	}
-	
-	public LinkedHashMap<String, Integer> getEncodings()
-	{
+
+	public LinkedHashMap<String, Integer> getEncodings() {
 		return encodings;
 	}
-	
+
 	public static void main(String[] args) {
 		CharsetDetector detector = new CharsetDetector(new File("/home/mdecorde/Bureau/testencoding")); //$NON-NLS-1$
 		System.out.println(detector.getEncodings());
